r1319 - in branches/1.0: . debian

des at projects.linpro.no des at projects.linpro.no
Thu Apr 19 16:50:36 CEST 2007


Author: des
Date: 2007-04-19 16:50:35 +0200 (Thu, 19 Apr 2007)
New Revision: 1319

Added:
   branches/1.0/debian/postrm
Modified:
   branches/1.0/
   branches/1.0/debian/changelog
Log:
 r37051 at cat (orig r1275):  bahner | 2007-02-27 20:54:05 +0100
 Postremove for debian
 



Property changes on: branches/1.0
___________________________________________________________________
Name: svk:merge
   - d4fa192b-c00b-0410-8231-f00ffab90ce4:/trunk/varnish-cache:1273
   + d4fa192b-c00b-0410-8231-f00ffab90ce4:/trunk/varnish-cache:1275

Modified: branches/1.0/debian/changelog
===================================================================
--- branches/1.0/debian/changelog	2007-04-19 14:50:34 UTC (rev 1318)
+++ branches/1.0/debian/changelog	2007-04-19 14:50:35 UTC (rev 1319)
@@ -1,3 +1,9 @@
+varnish (1.0.3-2) unstable; urgency=low
+
+  * Added postrm to partially solve 400384 
+
+ -- Lars Bahner <bahner at debian.org>  Tue, 27 Feb 2007 20:41:10 +0100
+
 varnish (1.0.3-1) unstable; urgency=low
 
   * new upstream release

Added: branches/1.0/debian/postrm
===================================================================
--- branches/1.0/debian/postrm	2007-04-19 14:50:34 UTC (rev 1318)
+++ branches/1.0/debian/postrm	2007-04-19 14:50:35 UTC (rev 1319)
@@ -0,0 +1,44 @@
+#! /bin/sh -e
+
+set -e
+
+case "$1" in
+        remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+        if test -e /var/log/varnish && ! [ "$1" = upgrade ]; then
+
+            rm -rf /var/log/varnish 2>&1 > /dev/null || exit 78
+
+        fi
+
+        if test -e /var/lib/varnish; then
+        
+                rm -rf /var/lib/varnish 2>&1 > /dev/null || exit 78
+        fi
+
+        ;;
+
+        purge)
+
+        if test -e /var/log/varnish; then 
+
+                rm -rf /var/log/varnish 2>&1 > /dev/null || exit 78
+                
+        fi
+
+        if test -e /var/lib/varnish; then
+        
+                rm -rf /var/lib/varnish 2>&1 > /dev/null || exit 78
+        fi
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 64
+
+esac
+
+#DEBHELPER#
+
+exit 0




More information about the varnish-commit mailing list